Вопросы с тегом 'rubygems'

RubyGems - это инструмент управления пакетами для языка программирования Ruby. Это позволяет пользователям загружать и обновлять библиотеки Ruby и обеспечивает автоматическое разрешение зависимостей.
12 отв.

Как сделать --no-ri --no-rdoc значением по умолчанию для установки gem?

Я не использую вывод RI или RDoc из камней, которые я устанавливаю на своем компьютере или на серверах, которые я обрабатываю (я использую другие средства документации). Каждый gem, который я устанавливаю, устанавливает RI и документацию RDoc по умо...
05 сент. '09 в 0:48
28 отв.

Установка gem или обновление RubyGems завершается с ошибкой разрешений

Попытка установить драгоценный камень (gem install mygem) или обновить RubyGems (gem update --system) завершается с ошибкой: ERROR: While executing gem ... (Gem::FilePermissionError) You don't have write permissions for the /Library/Ruby/Gems/2.0....
30 янв. '13 в 18:10
10 отв.

Как удалить RVM (Ruby Version Manager) из моей системы?

Как удалить RVM (Ruby Version Manager) из моей системы?
24 авг. '10 в 19:26
25 отв.

Ошибка при установке mysql2: Не удалось создать собственное расширение gem

У меня возникают проблемы при установке mysql2 gem для Rails. Когда я пытаюсь установить его, запустив bundle install или gem install mysql2, он вызывает следующую ошибку: Ошибка при установке mysql2: ERROR: Не удалось создать собственное расширен...
31 авг. '10 в 13:54
10 отв.

Как установить gem из источника GitHub?

Я хотел бы установить gem из последнего источника GitHub. Как это сделать?
05 апр. '10 в 10:26
7 отв.

homebrew не работает на OSX

Получение этой ошибки при запуске команды brew на терминале. Нужна помощь в разрешении. /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- utils/p...
09 июля '14 в 14:53
7 отв.

Как установить локальный жемчуг?

Если я загружаю файл .gem в папку на моем компьютере, могу ли я установить его позже, используя gem install?
21 окт. '08 в 1:32
15 отв.

gem install: Не удалось создать собственное расширение gem (не удается найти файлы заголовков)

Я использую Fedora 14, и у меня установлен и запущен MySQL и MySQL сервер 5.1.42. Теперь я попытался сделать это как пользователь root: gem install mysql Но я получаю эту ошибку: Building native extensions. This could take a while... ERROR: Err...
29 нояб. '10 в 16:58
5 отв.

Как я могу указать локальный камень в моем Gemfile?

Я бы хотел, чтобы Bundler загрузил локальный драгоценный камень. Есть ли возможность для этого? Или мне нужно переместить папку gem в каталог .bundle?
20 дек. '10 в 11:24
9 отв.

Ошибка при установке json gem 'mkmf.rb не может найти заголовочные файлы для ruby'

В контексте, на удаленном сервере с брандмауэром. Я настраиваю свою среду через прокси. У меня ruby 1.8.7. Когда я пытаюсь установить gem.. sudo gem install --http-proxy <host address>:<port> json Я получаю следующую ошибку: Building...
13 дек. '13 в 7:44
28 отв.

ошибка установки пакета с ошибкой проверки сертификата SSL

Когда я запускаю bundle install для моего проекта Rails 3 на Centos 5.5, он терпит неудачу с ошибкой: Gem::RemoteFetcher::FetchError: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://bb-m.ru...
20 апр. '12 в 15:13
11 отв.

Неинициализированная константа ActiveSupport:: Зависимости:: Mutex (NameError)

Когда я хочу создать проект Ruby on Rails, я получаю сообщение ниже. /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:55: uninitialized constant ActiveSupport::Dependencies::Mutex (NameError) from /usr/local/lib...
03 марта '11 в 7:50
26 отв.

rmagick gem install "Не удается найти Magick-config"

Я получаю ошибку, показанную ниже, при попытке установить драгоценный камень rmagick. Я на Snowleopard 10.6, используя RVM, Ruby 1.9.2-head и Rails 3.05. Ответы на подобные вопросы рекомендовали установить ImageMagick, который я успешно сделал. Други...
05 марта '11 в 7:32
19 отв.

Как установить cocoapods?

Я сослался на слишком много ссылок и попытался, но безуспешно. Если у кого-то есть идея, пожалуйста, поделитесь со мной. Я читал документы по cocoa-бобам и много раз пытался установить, но всегда не получалось из-за начальных шагов. Я обнаружил одну...
24 дек. '13 в 7:52
23 отв.

Библиотека не загружена: ошибка libmysqlclient.16.dylib при попытке запустить "сервер rails" на OS X 10.6 с помощью mysql2 gem

Я боролся с этим в течение некоторого времени. Я установил Rails 3, gem, mysql на свою машину Snow Leopard. Все шло хорошо, пока я не создал свой первый проект и не попытался запустить rails server После запуска я получаю: jontybrook$ rails serv...
28 дек. '11 в 17:17